datablock fxLightData(HiroHL)
{
	radius = 45;
	brightness = 4;
	color = "1 1 1 1";
	BEAMOn = false;
};

//Default Variant//

package HiroLights
{
  function serverCmdLight(%client)
	{
		if(isObject(%pl = %client.player) && !isObject(%pl.light) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "HiroVehicle" && %pl.getMountNode() == 0)
			{
				servercmdHiroLight(%client);
				return;
			}
		}
		parent::serverCmdLight(%client);
	}
	
	function servercmdHiroLight(%client)
	{
		//Before we do anything, make sure the client isn't trying to change the light too rapidly.
		if(getSimTime() < %client.lastCVHLTime + 500)
		{
			return;	//Fewer than 500 milliseconds have passed since client sent a command. Ignore this one.
		}
		//If the above check did not activate, we're good to continue.
		%client.lastCVHLTime = getSimTime();	//Right now is when they sent the last command.	
		
		if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
		if(%veh.getDataBlock().getName() !$= "HiroVehicle" || %pl.getMountNode() != 0) return;
		
		if(!%veh.headlight)
		{
			%veh.headlight = 1;
			%veh.unhidenode(taillightON);
			%veh.hidenode(taillightOFF);
			%veh.unhideNode(DialsON);
			%veh.hideNode(DialsOFF);
			%veh.playThread(0,popUP);
			%veh.mountedLightBot[4].setMountedLight(HiroHL);
			
		}
		else
		{
			%veh.headlight = 0;
			%veh.hidenode(taillightON);
			%veh.unhidenode(taillightOFF);
			%veh.unhideNode(DialsOFF);
			%veh.hideNode(DialsON);
			%veh.playThread(0,popDOWN);
			%veh.mountedLightBot[4].setMountedLight(none);
		}
	}
	
	
	function armor::onUnMount(%this, %obj, %col, %slot)
	{
		Parent::onUnMount(%this, %obj, %col, %slot);

		if (!isObject(%col) || %obj.getMountNode() != 0 || %col.getDatablock().getName() !$= "HiroVehicle")
			return;

			%col.headlight = 0;
			%col.hidenode(taillightON);
			%col.unhidenode(taillightOFF);
			%col.unhideNode(DialsOFF);
			%col.hideNode(DialsON);
			%col.playThread(0,popDOWN);
			%col.mountedLightBot[4].setMountedLight(none);
	}
};

activatePackage(HiroLights);